de.caff.generics

## Class ExpandableDoubleIndexableImpl

- java.lang.Object
- - de.caff.generics.ExpandableDoubleIndexableImpl

-     class ExpandableDoubleIndexableImpl
      extends java.lang.Object

  Default implementation used for immutable expandable double indexable.
  Since:
    September 24, 2020
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static int` | `LARGE_SIZE_LIMIT`
    `(package private) static int` | `PART_SIZE` Partition size.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpandableDoubleIndexableImpl()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static de.caff.generics.ExpandableDoubleIndexableImpl.ExpandableDoubleIndexableNode` | `from(double... values)` Create an expandable double indexable node from the given values.
    `(package private) static de.caff.generics.ExpandableDoubleIndexableImpl.ExpandableDoubleIndexableNode` | `from(double[] values, int start, int length)` Create an expandable double indexable node from the given values.
    `(package private) static de.caff.generics.ExpandableDoubleIndexableImpl.ExpandableDoubleIndexableNode` | `from(DoubleIndexable indexable)` Create an expandable ouble indexable node from a given indexable.
    `static int` | `size(DoubleIndexable[] indexables)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PART_SIZE

          static final int PART_SIZE

      Partition size.
      See Also:
        Constant Field Values

    - #### LARGE_SIZE_LIMIT

          static final int LARGE_SIZE_LIMIT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExpandableDoubleIndexableImpl

          ExpandableDoubleIndexableImpl()

  - ### Method Detail

    - #### size

          public static int size(@NotNull
                                 DoubleIndexable[] indexables)

    - #### from

          @NotNull
          static de.caff.generics.ExpandableDoubleIndexableImpl.ExpandableDoubleIndexableNode from(double[] values,
                                                                                                            int start,
                                                                                                            int length)

      Create an expandable double indexable node from the given values.
      Parameters:
        `values` - double array with values
        `start` - start index of values from array
        `length` - number of elements to take from array
      Returns:
        expandable double indexable

    - #### from

          @NotNull
          static de.caff.generics.ExpandableDoubleIndexableImpl.ExpandableDoubleIndexableNode from(double... values)

      Create an expandable double indexable node from the given values.
      Parameters:
        `values` - double array with values
      Returns:
        expandable double indexable

    - #### from

          @NotNull
          static de.caff.generics.ExpandableDoubleIndexableImpl.ExpandableDoubleIndexableNode from(@NotNull
                                                                                                            DoubleIndexable indexable)

      Create an expandable ouble indexable node from a given indexable.
      Parameters:
        `indexable` - indexable defining the values of the returned indexable
      Returns:
        expandable double indexable